%define pkgver %(echo %version | tr _ -) 
Name:          firstboot
Version:       19.9_1
Release:       1mamba
Summary:       Initialize basic system settings on or before the first boot-up of a system
Group:         System/Configuration
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://git.fedorahosted.org/cgit/firstboot.git/
Source:        https://git.fedorahosted.org/cgit/firstboot.git/snapshot/firstboot-%{pkgver}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython-devel
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Initialize basic system settings on or before the first boot-up of a system.

%prep
%setup -q -n %{name}-%{pkgver}

%build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

mv %{buildroot}%{_prefix}/lib %{buildroot}/lib

%find_lang %{name} || touch %{name}.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
if [ $1 -ge 1 ]; then
   systemctl -q daemon-reload
fi
:

%postun
if [ $1 -eq 0 ]; then
   systemctl -q daemon-reload
fi
:

%files -f %{name}.lang
%defattr(-,root,root)
%{_unitdir}/firstboot-graphical.service
%{_sbindir}/firstboot
%{python27_sitearch}/firstboot-19.5-py2.7.egg-info
%{python27_sitearch}/firstboot/*.py*
%{_datadir}/firstboot/themes/default/firstboot-left.png
%{_datadir}/firstboot/themes/default/pointer-blank.png
%{_datadir}/firstboot/themes/default/pointer-white.png
%{_datadir}/firstboot/themes/default/splash-small.png
%{_datadir}/firstboot/themes/default/workstation.png
#%doc TODO

%changelog
* Thu Aug 21 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 19.9.1-1mamba
- package created using the webbuild interface
